\name{basecontent}
\alias{basecontent}
\title{Obtain the ATCG content of a gene}
\description{
  This function accepts a character vector representing the base
  sequence of the DNA for a gene and computes the counts of each base.
}
\usage{
basecontent(seq)
}
\arguments{
  \item{seq}{Character vector.}
}
\details{
  Each element of \code{x} is separately decomposed into its base
  sequence components.

  The elements of \code{x} can be in upper case, lower case
  or mixed. NAs are handled.
}

\value{
  A matrix with 4 columns and \code{length(x)} rows.
  The columns are names \code{A}, \code{C}, \code{T},
  \code{G}, and the values in each column are the counts
  of the corresponding bases in the elements of \code{x}. 
}

\author{R. Gentleman, W. Huber}

\seealso{\code{\link{complementSeq}},\code{\link{reverseSeq}}}

\examples{
 v<-c("AAACT", "GGGTT", "ggAtT")
 basecontent(v)
}
\keyword{manip}
